${SegmentFile}

; Implemented by Mark Sikkema at http://portableapps.com/node/23966
Function _Custom_DeleteFileGuard_
	Pop $0
	; $0 = filename
	; $R0 = handle
	; $R1 = file size
	; $R2 = file contents

	FileOpen $R0 $0 r
	FileRead $R0 $R1
	StrCpy $R1 $R1 17
	${If} $R1 == d10:.fileguard40:
		FileSeek $R0 0 END $R1 ; get file size
		FileSeek $R0 0 SET
		System::Alloc /NOUNLOAD $R1
		Pop $R2
		System::Call /NOUNLOAD 'Kernel32::ReadFile(i r10, i r12, i r11, t.,)'
		FileClose $R0
		IntOp $R2 $R2 + 57 ; delete fileguard
		IntOp $R1 $R1 - 57 ; shorten file size
		FileOpen $R0 $0 w
		FileWriteByte $R0 0x64 ; write the 'd'
		System::Call /NOUNLOAD 'Kernel32::WriteFile(i r10, i r12, i r11, t.,)'
		System::Free $R2
	${EndIf}
	FileClose $R0
FunctionEnd
!macro _Custom_DeleteFileGuard_ file
	Push "${file}"
	Call _Custom_DeleteFileGuard_
!macroend

${SegmentPrePrimary}
	!insertmacro _Custom_DeleteFileGuard_ $DataDirectory\settings\settings.dat
	!insertmacro _Custom_DeleteFileGuard_ $DataDirectory\settings\resume.dat
!macroend
